LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XSystemChildFactory Interface Referencepublished

specifies a factory interface for creating system child windows. More...

`import"XSystemChildFactory.idl";`

Inheritance diagram for XSystemChildFactory:

## Public Member Functions
XWindowPeer | createSystemChild ([in] any Parent, [in] sequence< byte > ProcessId, [in] short SystemType)
| creates a system child window. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a factory interface for creating system child windows.

## Member Function Documentation

## ◆ createSystemChild()

XWindowPeer createSystemChild | ( | [in] any | Parent,
|  | [in] sequence< byte > | ProcessId,
|  | [in] short | SystemType
| ) |  |

creates a system child window.

Returns
  the created window.

Parameters

  Parent | a system-specific handle to a window.

You must check the machine ID and the process ID.
WIN32: HWND.
WIN16: HWND.

JAVA: global reference to a java.awt.Component object provided from the JNI-API.

MAC: (NSView*) pointer.

Parameters

  ProcessId | Ignored.
  SystemType | one constant out of the constant group com::sun::star::lang::SystemDependent.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XSystemChildFactory.idl